## org.eclipse.datatools.connectivity.sqm.core.definition
Interface DatabaseDefinition

    public interface DatabaseDefinition

Method Summary
`java.util.List` `getActionElementClasses(EClass privilegedElementClass, java.lang.String action)`
`int` `getCheckConstraintMaximumIdentifierLength()`
`int` `getColumnMaximumIdentifierLength()`
`ICatalogProvider` `getDatabaseCatalogProvider()`
`int` `getDatabaseMaximumIdentifierLength()`
`DataModelElementFactory` `getDataModelElementFactory()`
`DDLGenerator` `getDDLGenerator()`
`DDLParser` `getDdlParser()`
`DebuggerDefinition` `getDebuggerDefinition()`
`DeltaDDLGenerator` `getDeltaDDLGenerator()`
`java.lang.String` `getDescription()`
`int` `getForeignKeyMaximumIdentifierLength()`
`java.util.List` `getFunctionLanguageType()`
`java.lang.String` `getHostVariableMarker()`
`java.lang.String` `getIdentifierQuoteString()`
`java.util.Iterator` `getIdentityColumnSupportedPredefinedDataTypes()`
`int` `getMaximumIdentifierLength()`
`int` `getMaximumIdentifierLength(SQLObject sqlObject)`
`int` `getNicknameMaximumIdentifierLength()`
`java.util.List` `getParentDeleteDRIRules()`
`java.util.List` `getParentUpdateDRIRules()`
`PredefinedDataType` `getPredefinedDataType(PredefinedDataTypeDefinition predefinedDataTypeDefinition)`
`PredefinedDataType` `getPredefinedDataType(java.lang.String dataTypeName)`
`PredefinedDataType` `getPredefinedDataTypeByNameAndJDBCEnumType(java.lang.String dataTypeName, int jdbcEnumType)`
`PredefinedDataTypeDefinition` `getPredefinedDataTypeDefinition(java.lang.String dataTypeName)`
`PredefinedDataTypeDefinition` `getPredefinedDataTypeDefinitionByNameAndJDBCEnumType(java.lang.String dataTypeName, int jdbcEnumType)`
`java.util.List` `getPredefinedDataTypeDefinitionsByJDBCEnumType(int jdbcEnumType)`
`java.lang.String` `getPredefinedDataTypeFormattedName(PredefinedDataType predefinedDataType)`
`java.util.Iterator` `getPredefinedDataTypes()`
`java.util.List` `getPredefinedDataTypesByJDBCEnumType(int jdbcEnumType)`
`int` `getPrimarykeyIdentifierLength()`
`java.util.List` `getPrivilegeActions(EClass privilegedElementClass)`
`java.util.List` `getPrivilegedElementClasses()`
`java.util.List` `getProcedureLanguageType()`
`java.lang.String` `getProduct()`
`java.lang.String` `getProductDisplayString()`
`int` `getSchemaMaximumIdentifierLength()`
`java.util.Iterator` `getSequenceSupportedPredefinedDataTypes()`
`java.util.List` `getSQLKeywords()`
`java.util.List` `getSQLOperators()`
`java.lang.String` `getSQLTerminationCharacter()`
`int` `getTableMaximumIdentifierLength()`
`int` `getTablespaceMaximumIdentifierLength()`
`int` `getTriggerMaximumIdentifierLength()`
`int` `getUserDefinedTypeMaximumIdentifierLength()`
`java.lang.String` `getVersion()`
`java.lang.String` `getVersionDisplayString()`
`int` `getViewMaximumIdentifierLength()`
`boolean` `isAuthorizationIdentifierSupported()`
`boolean` `isGroupSupported()`
`boolean` `isKeyConstraintSupported(DataType dataType)`
`boolean` `isPrivilegedElementClass(EClass clss)`
`boolean` `isRoleAuthorizationSupported()`
`boolean` `isRoleSupported()`
`boolean` `isSQLKeyword(java.lang.String word)`
`boolean` `isSQLOperator(java.lang.String word)`
`boolean` `isUniqueKeyNullable()`
`boolean` `isUserSupported()`
`int` `queryMaxCheckExpression()`
`int` `queryMaxCommentLength()`
`int` `queryMaxIdentifierLength()`
`int` `queryStoredProcedureMaxActionBodyLength()`
`int` `queryTriggerMaxActionBodyLength()`
`int` `queryTriggerMaxReferencePartLength()`
`boolean` `supportsAlias()`
`boolean` `supportsCastExpression()`
`boolean` `supportsClusteredIndexes()`
`boolean` `supportsComputedColumns()`
`boolean` `supportsConstraints()`
`boolean` `supportsDefaultKeywordForInsertValue()`
`boolean` `supportsDeferrableConstraints()`
`boolean` `supportsDistinctUserDefinedType()`
`boolean` `supportsEvents()`
`boolean` `supportsExtendedGrouping()`
`boolean` `supportsHostVariableMarker()`
`boolean` `supportsIdentityColumns()`
`boolean` `supportsInformationalConstraints()`
`boolean` `supportsInsteadOfTrigger()`
`boolean` `supportsMQT()`
`boolean` `supportsMQTIndex()`
`boolean` `supportsNicknameConstraints()`
`boolean` `supportsNicknameIndex()`
`boolean` `supportsNicknames()`
`boolean` `supportsPackage()`
`boolean` `supportsPerColumnUpdateTrigger()`
`boolean` `supportsQuotedDDL()`
`boolean` `supportsQuotedDML()`
`boolean` `supportsRowTriggerReference()`
`boolean` `supportsSchema()`
`boolean` `supportsSequence()`
`boolean` `supportsSnapshotViews()`
`boolean` `supportsSQLStatement()`
`boolean` `supportsSQLUDFs()`
`boolean` `supportsStoredProcedureNullInputAction()`
`boolean` `supportsStoredProcedures()`
`boolean` `supportsStructuredUserDefinedType()`
`boolean` `supportsSynonym()`
`boolean` `supportsTableAliasInDelete()`
`boolean` `supportsTableTriggerReference()`
`boolean` `supportsTriggerGranularity()`
`boolean` `supportsTriggerReferencesClause()`
`boolean` `supportsTriggers()`
`boolean` `supportsTriggerTypes()`
`boolean` `supportsUserDefinedType()`
`boolean` `supportsViewIndex()`
`boolean` `supportsViewTriggers()`
`boolean` `supportsXML()`
`boolean` `supportTriggerWhenClause()`

Method Detail

### getProduct

    java.lang.String getProduct()

### getProductDisplayString

    java.lang.String getProductDisplayString()

### getVersion

    java.lang.String getVersion()

### getVersionDisplayString

    java.lang.String getVersionDisplayString()

### getDescription

    java.lang.String getDescription()

### getDataModelElementFactory

    DataModelElementFactory getDataModelElementFactory()

### getPredefinedDataTypes

    java.util.Iterator getPredefinedDataTypes()

### getSequenceSupportedPredefinedDataTypes

    java.util.Iterator getSequenceSupportedPredefinedDataTypes()

### getIdentityColumnSupportedPredefinedDataTypes

    java.util.Iterator getIdentityColumnSupportedPredefinedDataTypes()

### supportsSchema

    boolean supportsSchema()

### supportsIdentityColumns

    boolean supportsIdentityColumns()

### supportsComputedColumns

    boolean supportsComputedColumns()

### supportsSequence

    boolean supportsSequence()

### supportsMQT

    boolean supportsMQT()

### supportsMQTIndex

    boolean supportsMQTIndex()

### supportsDeferrableConstraints

    boolean supportsDeferrableConstraints()

### supportsInformationalConstraints

    boolean supportsInformationalConstraints()

### supportsClusteredIndexes

    boolean supportsClusteredIndexes()

### isUniqueKeyNullable

    boolean isUniqueKeyNullable()

### getParentDeleteDRIRules

    java.util.List getParentDeleteDRIRules()

### getParentUpdateDRIRules

    java.util.List getParentUpdateDRIRules()

### supportsConstraints

    boolean supportsConstraints()

### queryMaxCommentLength

    int queryMaxCommentLength()

### queryMaxIdentifierLength

    int queryMaxIdentifierLength()

### queryMaxCheckExpression

    int queryMaxCheckExpression()

### queryTriggerMaxReferencePartLength

    int queryTriggerMaxReferencePartLength()

### queryTriggerMaxActionBodyLength

    int queryTriggerMaxActionBodyLength()

### queryStoredProcedureMaxActionBodyLength

    int queryStoredProcedureMaxActionBodyLength()

### supportsStoredProcedureNullInputAction

    boolean supportsStoredProcedureNullInputAction()

### supportsNicknames

    boolean supportsNicknames()

### supportsNicknameConstraints

    boolean supportsNicknameConstraints()

### supportsNicknameIndex

    boolean supportsNicknameIndex()

### supportsQuotedDML

    boolean supportsQuotedDML()

### supportsQuotedDDL

    boolean supportsQuotedDDL()

### supportsAlias

    boolean supportsAlias()

### supportsSynonym

    boolean supportsSynonym()

### supportsTriggers

    boolean supportsTriggers()

### supportsTriggerTypes

    boolean supportsTriggerTypes()

### supportsInsteadOfTrigger

    boolean supportsInsteadOfTrigger()

### supportsPerColumnUpdateTrigger

    boolean supportsPerColumnUpdateTrigger()

### supportsTriggerReferencesClause

    boolean supportsTriggerReferencesClause()

### supportsRowTriggerReference

    boolean supportsRowTriggerReference()

### supportsTableTriggerReference

    boolean supportsTableTriggerReference()

### supportTriggerWhenClause

    boolean supportTriggerWhenClause()

### supportsTriggerGranularity

    boolean supportsTriggerGranularity()

### supportsUserDefinedType

    boolean supportsUserDefinedType()

### supportsStructuredUserDefinedType

    boolean supportsStructuredUserDefinedType()

### supportsDistinctUserDefinedType

    boolean supportsDistinctUserDefinedType()

### supportsSnapshotViews

    boolean supportsSnapshotViews()

### supportsViewTriggers

    boolean supportsViewTriggers()

### supportsViewIndex

    boolean supportsViewIndex()

### isKeyConstraintSupported

    boolean isKeyConstraintSupported(DataType dataType)

### getIdentifierQuoteString

    java.lang.String getIdentifierQuoteString()

### getHostVariableMarker

    java.lang.String getHostVariableMarker()

### supportsHostVariableMarker

    boolean supportsHostVariableMarker()

### supportsCastExpression

    boolean supportsCastExpression()

### supportsDefaultKeywordForInsertValue

    boolean supportsDefaultKeywordForInsertValue()

### supportsExtendedGrouping

    boolean supportsExtendedGrouping()

### supportsTableAliasInDelete

    boolean supportsTableAliasInDelete()

### getProcedureLanguageType

    java.util.List getProcedureLanguageType()

### getFunctionLanguageType

    java.util.List getFunctionLanguageType()

### supportsSQLStatement

    boolean supportsSQLStatement()

### getSQLKeywords

    java.util.List getSQLKeywords()

### getSQLOperators

    java.util.List getSQLOperators()

### isSQLKeyword

    boolean isSQLKeyword(java.lang.String word)

### isSQLOperator

    boolean isSQLOperator(java.lang.String word)

### getSQLTerminationCharacter

    java.lang.String getSQLTerminationCharacter()

### getMaximumIdentifierLength

    int getMaximumIdentifierLength()

### getMaximumIdentifierLength

    int getMaximumIdentifierLength(SQLObject sqlObject)

### getDatabaseMaximumIdentifierLength

    int getDatabaseMaximumIdentifierLength()

### getSchemaMaximumIdentifierLength

    int getSchemaMaximumIdentifierLength()

### getTableMaximumIdentifierLength

    int getTableMaximumIdentifierLength()

### getViewMaximumIdentifierLength

    int getViewMaximumIdentifierLength()

### getColumnMaximumIdentifierLength

    int getColumnMaximumIdentifierLength()

### getTriggerMaximumIdentifierLength

    int getTriggerMaximumIdentifierLength()

### getPrimarykeyIdentifierLength

    int getPrimarykeyIdentifierLength()

### getForeignKeyMaximumIdentifierLength

    int getForeignKeyMaximumIdentifierLength()

### getCheckConstraintMaximumIdentifierLength

    int getCheckConstraintMaximumIdentifierLength()

### getNicknameMaximumIdentifierLength

    int getNicknameMaximumIdentifierLength()

### getUserDefinedTypeMaximumIdentifierLength

    int getUserDefinedTypeMaximumIdentifierLength()

### getTablespaceMaximumIdentifierLength

    int getTablespaceMaximumIdentifierLength()

### getPredefinedDataTypeDefinitionsByJDBCEnumType

    java.util.List getPredefinedDataTypeDefinitionsByJDBCEnumType(int jdbcEnumType)

### getPredefinedDataTypesByJDBCEnumType

    java.util.List getPredefinedDataTypesByJDBCEnumType(int jdbcEnumType)

### getPredefinedDataType

    PredefinedDataType getPredefinedDataType(java.lang.String dataTypeName)

### getPredefinedDataTypeDefinition

    PredefinedDataTypeDefinition getPredefinedDataTypeDefinition(java.lang.String dataTypeName)

### getPredefinedDataType

    PredefinedDataType getPredefinedDataType(PredefinedDataTypeDefinition predefinedDataTypeDefinition)

### getPredefinedDataTypeDefinitionByNameAndJDBCEnumType

    PredefinedDataTypeDefinition getPredefinedDataTypeDefinitionByNameAndJDBCEnumType(java.lang.String dataTypeName,
                                                                                      int jdbcEnumType)

### getPredefinedDataTypeByNameAndJDBCEnumType

    PredefinedDataType getPredefinedDataTypeByNameAndJDBCEnumType(java.lang.String dataTypeName,
                                                                  int jdbcEnumType)

### getPredefinedDataTypeFormattedName

    java.lang.String getPredefinedDataTypeFormattedName(PredefinedDataType predefinedDataType)

### getDdlParser

    DDLParser getDdlParser()

### getDatabaseCatalogProvider

    ICatalogProvider getDatabaseCatalogProvider()

### getDDLGenerator

    DDLGenerator getDDLGenerator()

### getDeltaDDLGenerator

    DeltaDDLGenerator getDeltaDDLGenerator()

### supportsXML

    boolean supportsXML()

### getDebuggerDefinition

    DebuggerDefinition getDebuggerDefinition()

### supportsEvents

    boolean supportsEvents()

### supportsSQLUDFs

    boolean supportsSQLUDFs()

### supportsStoredProcedures

    boolean supportsStoredProcedures()

### supportsPackage

    boolean supportsPackage()

### isAuthorizationIdentifierSupported

    boolean isAuthorizationIdentifierSupported()

### isRoleSupported

    boolean isRoleSupported()

### isUserSupported

    boolean isUserSupported()

### isGroupSupported

    boolean isGroupSupported()

### isRoleAuthorizationSupported

    boolean isRoleAuthorizationSupported()

### getPrivilegedElementClasses

    java.util.List getPrivilegedElementClasses()

### isPrivilegedElementClass

    boolean isPrivilegedElementClass(EClass clss)

### getPrivilegeActions

    java.util.List getPrivilegeActions(EClass privilegedElementClass)

### getActionElementClasses

    java.util.List getActionElementClasses(EClass privilegedElementClass,
                                           java.lang.String action)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.